settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

onEvent('recipes', e => {
  let removeTool = (output) => {
    e.remove({output: output})
  }
  removeTool('minecraft:wooden_pickaxe')
  removeTool('minecraft:stone_pickaxe')
})
onEvent('recipes', e => {
  let pickaxe = (output, material) => {
    e.shaped(output, [
      'HBH',
      ' S ',
      ' S '
    ], {
      H: Item.of('tconstruct:pickaxe_head', {Material:material}),
      B: Item.of('tconstruct:tool_binding', {Material:material}),
      S: Item.of('tconstruct:tool_handle', {Material:material})
    })
  }
  //tconstruct
  pickaxe('minecraft:wooden_pickaxe','tconstruct:wood')
  pickaxe('minecraft:stone_pickaxe','tconstruct:stone')
})